# This rule is not used by the project bmh-data itself.
# It is provided to allow the cluster admin to help manage permissions for users.
#
# Grants permissions to create, update, and delete resources within the network.kanod.io.
# This role is intended for users who need to manage these resources
# but should not control RBAC or manage permissions for others.

apiVersion: rbac.authorization.k8s.io/v1
kind: ClusterRole
metadata:
  labels:
    app.kubernetes.io/name: bmh-data
    app.kubernetes.io/managed-by: kustomize
  name: bmhdata-editor-role
rules:
- apiGroups:
  - network.kanod.io
  resources:
  - bmhdata
  verbs:
  - create
  - delete
  - get
  - list
  - patch
  - update
  - watch
- apiGroups:
  - network.kanod.io
  resources:
  - bmhdata/status
  verbs:
  - get
